all: slides.pdf slides-nup.pdf diagramme-sequence.pdf

slides.pdf: slides.tex
	pdflatex slides.tex
	pdflatex slides.tex

slides-nup.pdf: slides.pdf
	pdfnup --no-landscape --nup 1x3 --trim '-1cm -2cm -14cm -2cm' --frame true slides.pdf

diagramme-sequence.pdf: diagramme-sequence.svg
	inkscape --export-pdf=diagramme-sequence.pdf diagramme-sequence.svg
